import { s as c, e as d } from "../index-DSGwv2Yx.js";
import { t as f } from "../tensor1d-BMl0eZYV.js";
import { t as r } from "../tensor-D8e0Gd7c.js";
const y = Array.from({ length: 2048 * 192 }, () => Math.random()), i = Array.from({ length: 192 }, () => Math.random()), l = Array.from({ length: 2048 * 192 }, () => Math.random());
async function x(t) {
  await c(t);
  const o = f(i, "float32"), n = r(y, [16, 128, 192], "float32"), m = r(l, [16, 128, 192], "float32"), a = d().runKernel("RMSNormGrad", { x: n, gamma: o, dy: m }), s = await a[0].array(), e = await a[1].array();
  return [s, e];
}
export {
  x as execute
};
